<template>
  <span component="tag" class="tc__container">
    <span
      class="tc__label"
      :style="{ backgroundColor: label.backgroundColor, color: label.color }">
      {{ label.text }}
    </span
    >
    <span
      class="tc__value"
      :style="{ backgroundColor: value.backgroundColor, color: value.color }">
      {{ value.text }}
    </span
    >
  </span>
</template>
<script>
export default {
  nanme: 'TagComponent',
  props: {
    label: {
      type: Object,
      default: () => ({
        text: 'label',
        backgroundColor: 'red',
        color: 'white',
      }),
    },
    value: {
      type: Object,
      default: () => ({
        text: 'value',
        backgroundColor: 'black',
        color: 'white',
      }),
    },
  },
};
</script>

<style lang="scss" scoped>
.tc__container {
  display: flex;
}

.tc__label {
  padding: 0.2rem;
  padding-right: .4rem;
}

.tc__value {
  padding: 0.2rem;
  padding-right: .4rem;
  font-weight: bold;
}
</style>
